## org.opencyc.javashell
Class NFileHolder

    java.lang.Object
      |
      +--org.opencyc.javashell.NFileHolder

public class NFileHolder
extends java.lang.Object

utility class that associates an `Object` with a `File`.

Field Summary
`protected long` `date`
`protected java.io.File` `file`
`protected java.lang.Object` `object`

Constructor Summary
`NFileHolder(java.io.File file, java.lang.Object object)` constuctor to create the association between a `File` and an `Object`.

Method Summary
`long` `date()` retrieves the timestamp at which the association between a `File` and an `Object` was made.
`java.io.File` `getFile()` retrieves the `File` that forms half of this association.
`java.lang.Object` `getObject()` retrieves the `Object` that forms half of this association.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### object

    protected java.lang.Object object

### file

    protected java.io.File file

### date

    protected long date

Constructor Detail

### NFileHolder

    public NFileHolder(java.io.File file,
                       java.lang.Object object)

  constuctor to create the association between a `File` and an `Object`.
  Parameters:
    `file` - the `File` that needs the association.
    `object` - the `Object` that is to be associated with the `File`.

Method Detail

### getFile

    public java.io.File getFile()

  retrieves the `File` that forms half of this association.
  Returns:
    the `File` that is half of the association.

### getObject

    public java.lang.Object getObject()

  retrieves the `Object` that forms half of this association.
  Returns:
    the `Object` that is half of the association.

### date

    public long date()

  retrieves the timestamp at which the association between a `File` and an `Object` was made.
  Returns:
    the timestamp at which the association between a `File` and an `Object` was made as a `long`.